Bug 722923 - conversion of constraint overlay settings to cn=config is incorrect
Summary: conversion of constraint overlay settings to cn=config is incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Jan Vcelak
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 733067
TreeView+ depends on / blocked
 
Reported: 2011-07-18 13:42 UTC by David Spurek
Modified: 2015-03-02 05:26 UTC (History)
6 users (show)

Fixed In Version: openldap-2.4.23-17.el6
Doc Type: Bug Fix
Doc Text:
- converting configuration from old slapd.conf to new slapd.d while 'constraint' overlay is used - 'constraint_attribute' of 'size' or 'count' type is converted to 'olcConstraintAttribute' while missing the 'value' part of the settings - patch was applied to target the 'constraint_attribute' settings conversion - conversion of 'constraint' overlay settings to the new style of configuration converts all 'constraint_attribute' values correctly
Clone Of:
: 733067 (view as bug list)
Environment:
Last Closed: 2011-12-06 12:12:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
Slapd configuration file for slaptest (1.51 KB, application/octet-stream)
2011-07-18 13:42 UTC, David Spurek
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1514 normal SHIPPED_LIVE openldap bug fix and enhancement update 2011-12-06 00:51:20 UTC

Description David Spurek 2011-07-18 13:42:17 UTC
Created attachment 513620 [details]
Slapd configuration file for slaptest

Description of problem:
Bad slaptest translate for constraints size and count. Slaptest encode only size or count parametr without value.

Version-Release number of selected component (if applicable):
openldap-servers-2.4.23-15.el6.

How reproducible:
always

Steps to Reproduce:
slaptest -f /etc/openldap/slapd.conf -F /etc/openldap/slapd.d/
  
Actual results:
File /etc/openldap/slapd.d/cn\=config/olcDatabase\=\{1\}bdb/olcOverlay\=\{0\}constraint.ldif has bad base64 decoced olcConstraintAttribute

objectClass: olcOverlayConfig
objectClass: olcConstraintConfig
olcOverlay: {0}constraint
olcConstraintAttribute:: anBlZ1Bob3RvIHNpemUg
olcConstraintAttribute:: c24gY291bnQg
structuralObjectClass: olcConstraintConfig
entryUUID: 23c9fe22-458b-1030-8c85-1b3b9d785baa
creatorsName: cn=config
createTimestamp: 20110718131106Z
entryCSN: 20110718131106.023140Z#000000#000#000000
modifiersName: cn=config
modifyTimestamp: 20110718131106Z

Command output of decoded olcConstraintAttribute:: c24gY291bnQg
echo "c24gY291bnQg" | base64 -d
result: sn count

Expected results:
Command output of decoded olcConstraintAttribute::
sn count 5 

Additional info:
Bug was reported as ITS#6986 (http://www.openldap.org/its/index.cgi/Documentation?id=6181)

Similar problem with extra parametr restrict. Restrict must be in "" and the prefix "restrict=" is repeated. Problem was reported as ITS#6181.

Comment 2 Jan Vcelak 2011-08-10 09:11:15 UTC
(In reply to comment #0)
> Additional info:
> Bug was reported as ITS#6986
> (http://www.openldap.org/its/index.cgi/Documentation?id=6181)

This seems to be a different/wrong report.

Comment 3 David Spurek 2011-08-10 10:12:56 UTC
I am sorry for bad link. The link for bug ITS#6986 is http://www.openldap.org/its/index.cgi/Software%20Bugs?id=6986.

Comment 4 Jan Vcelak 2011-08-11 13:50:40 UTC
Upstream resolution available. The patch applies cleanly and seems to work.

http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=commit;h=c0b669e

Comment 6 Jan Vcelak 2011-08-15 08:25:01 UTC
Resolved in openldap-2.4.23-17.el6

Comment 7 Jan Vcelak 2011-08-15 10:41:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- converting configuration from old slapd.conf to new slapd.d while 'constraint' overlay is used
- 'constraint_attribute' of 'size' or 'count' type is converted to 'olcConstraintAttribute' while missing the 'value' part of the settings
- patch was applied to target the 'constraint_attribute' settings conversion
- conversion of 'constraint' overlay settings to the new style of configuration converts all 'constraint_attribute' values correctly

Comment 10 errata-xmlrpc 2011-12-06 12:12:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1514.html


Note You need to log in before you can comment on or make changes to this bug.